/* typography */
body {
  color: var(--text-dark);
  font-family: museo-sans-rounded, sans-serif;
  font-size: 90%;
  font-style: normal;
  font-weight: 300;
  line-height: 1.5;
  margin: 0;
}

@media (min-width: 601px) {
  body {
    font-size: 100%;
  }
}

p, 
ol, 
ul {
  font-size: 1.125em;
  margin: 0 0 1.5em;
  padding: 0;
}

li {
  line-height: 1.5em;
}

ul ul {
  font-size: 1em;
  margin-bottom: 0; 
  padding-left: 1rem;
}

a {
  color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: museo-sans-rounded, sans-serif;
  font-style: normal;
  font-weight: 600;
}

h1 {
  background: linear-gradient(60deg, var(--gradient-spectrum-dark), var(--gradient-spectrum-light));
  -webkit-background-clip: text;
          background-clip: text;
  color: transparent;
  font-size: 2.75em;
  font-weight: 600;
  line-height: 1.25;
  margin: 0 0 .45em;
}

h1, 
.text-center {
  text-align: center;
}

@media (min-width: 601px) {
  h1 {
    font-size: 4em;
  }
}

h2, 
h3, 
h4, 
h5, 
h6 {
  font-weight: 600;
}

h2 {
  font-size: 3em;
  line-height: 1.4em;
  margin: 0 0 .85em;
}

h2:after {
  background: var(--text-dark);
  border-radius: 2px;
  content: '';
  display: block;
  height: 4px;
  margin: .2em auto 0;
  opacity: .25;
  width: 7vw;
}

@media (min-width: 601px) {
  h2:after {
    width: 5vw;
  }
}

@media (min-width: 1000px) {
  h2:after {
    width: 3vw;
  }
}

h2.white:after {
  background: var(--text-light);
}

h3 {
  font-size: 2.25em;
  line-height: 1.2em;
  margin: 0 0 .35em;
}

h4 {
  font-size: 1.5em;
  line-height: 1.3em;
  margin: 0 0 .9em;
}

h5 {
  font-size: 1.5em;
  font-weight: 100;
}

h6 {
  font-size: 1.125em;
  font-weight: 100;
}

.large {
  font-size: 1.5em;
}

.small {
  font-size: .9em;
}

.label {
  margin-bottom: 1em;
}

.text-right {
  text-align: right;
}

.print-only {
  display: none;
}

/* images */

img {
  box-sizing: border-box;
  max-width: 100%;
}

.rounded {
  border-radius: .5em;
}
.border {
  border: 1px solid var(--border);
}
.shadow {
  box-shadow: 0 0 5px rgba(0,0,0,.1);
}

.relative {
  position: relative;
}

.zoom {
  cursor: zoom-in;
}

/* buttons */
.button {
  background: var(--gradient-a-dark);
  border-radius: 20%/50%;
  color: var(--text-light);
  font-weight: 600;
  padding: 1em;
  text-decoration: none;
  transition: background .2s;
}

.button:active,
.button:hover {
  background: var(--gradient-a-light);
}

.button img {
  height: 1em;
  margin-left: .25em;
  vertical-align: -.15em;
  width: 1em;
}

/* header */
header {
  align-items: center;
  display: flex;
  padding: 1em;
  transition: all .2s;
  z-index: 1;
}

header nav {
  flex: 1 0 0;
  text-align: right;
}

header nav a {
  color: var(--text-dark);
  display: inline-block;
  font-size: 1.125em;
  font-weight: 600;
  line-height: 1.3em;
  padding: 1em;
  text-decoration: none;
  transition: all .2s;
}

header nav a:hover, header nav a:active, header nav a:focus {
  transform: scale(1.1);
}

header img {
  width: 20vw;
}

@media (min-width: 400px) {
  header img {
    width: 15vw;
  }
}

@media (min-width: 601px) {
  header img {
    width: 10vw;
  }
}

@media (min-width: 900px) {
  header img {
    width: 8vw;
  }
}

@media (min-width: 1100px) {
  header {
    padding: 1em 2em;
  }

  header img {
    width: 5vw;
  }
}

/* footer */
footer {
  margin-top: 1em;
  padding: 1em;
}

/* grid */
.row {
	display: flex;
  flex-wrap: wrap;
}

.row > * {
  padding: 0 1em;
}

.col-1, 
.col-2, 
.col-3, 
.col-4, 
.col-5, 
.col-6, 
.col-7, 
.col-8, 
.col-9, 
.col-10, 
.col-11, 
.col-12 {
  box-sizing: border-box;
}

.col-1, 
.col-2 {
  flex: 1 0 0;
  min-width: 50%;
}

.col-3, 
.col-4, 
.col-5, 
.col-6, 
.col-7, 
.col-8, 
.col-9, 
.col-10, 
.col-11, 
.col-12 {
  flex: 1 0 0;
  min-width: 100%;
}

@media (min-width: 601px) {
  .col-3, 
  .col-4, 
  .col-5 {
    flex: 1 0 0;
    min-width: 50%;
  }
}

@media (min-width: 601px) and (max-width: 1000px) {
  .col-2 + .col-2 + .col-2,
  .col-4 + .col-4 + .col-4 {
    max-width: 50%;
  }
}

@media (min-width: 1001px) {
  .col-1 {
    max-width: calc(100%/12);
    min-width: calc(100%/12);
  }

  .col-2 {
    flex: 2 0 0;
    max-width: calc(100%/12 * 2);
    min-width: calc(100%/12 * 2);
  }

  .col-3 {
    flex: 3 0 0;
    max-width: calc(100%/12 * 3);
    min-width: calc(100%/12 * 3);
  }

  .col-4 {
    flex: 4 0 0;
    max-width: calc(100%/12 * 4);
    min-width: calc(100%/12 * 4);
  }

  .col-5 {
    flex: 5 0 0;
    max-width: calc(100%/12 * 5);
    min-width: calc(100%/12 * 5);
  }

  .col-6 {
    flex: 6 0 0;
    max-width: calc(100%/12 * 6);
    min-width: calc(100%/12 * 6);
  }

  .col-7 {
    flex: 7 0 0;
    max-width: calc(100%/12 * 7);
    min-width: calc(100%/12 * 7);
  }

  .col-8 {
    flex: 8 0 0;
    max-width: calc(100%/12 * 8);
    min-width: calc(100%/12 * 8);
  }

  .col-9 {
    flex: 9 0 0;
    max-width: calc(100%/12 * 9);
    min-width: calc(100%/12 * 9);
  }

  .col-10 {
    flex: 10 0 0;
    max-width: calc(100%/12 * 10);
    min-width: calc(100%/12 * 10);
  }

  .col-11 {
    flex: 11 0 0;
    max-width: calc(100%/12 * 11);
    min-width: calc(100%/12 * 11);
  }

  .col-12 {
    flex: 12 0 0;
    max-width: calc(100%/12 * 12);
    min-width: calc(100%/12 * 12);
  }
}

/* visibility */
@media (min-width: 601px) and (max-width: 1000px) {
  .hide-on-medium {
    display: none;
  }
}

@media (max-width: 601px) {
  .hide-on-small {
    display: none;
  }
}

/* intro section */
.large-intro {
  font-size: 1.5em;  
  margin-left: auto; 
  margin-right: auto;
  max-width: 40em; 
  text-align: left;
}

@media (min-width: 601px) {
  .large-intro {
    text-align: center;
  }
}

/* base layout */
section {
  margin: 0 auto;
  max-width: 70em;
  padding: 5em 1em;
}

.section--gradient-a, .section--gradient-b, .section--gradient-c, .section--gradient-spectrum {
  color: var(--text-light);
}

.section--gradient-a {
  background: var(--gradient-b-dark);
  background: linear-gradient(60deg, var(--gradient-b-light), var(--gradient-b-dark));
}

.section--gradient-b {
  background: var(--gradient-a-dark);
  background: linear-gradient(60deg, var(--gradient-a-light), var(--gradient-a-dark));
}

.section--gradient-c {
  background: var(--gradient-c-light);
  background: linear-gradient(60deg, var(--gradient-c-light), var(--gradient-c-dark));
}

.section--gradient-spectrum {
  background: linear-gradient(60deg, var(--gradient-spectrum-dark), var(--gradient-spectrum-light));
}

.section--angle-up {
  -webkit-clip-path: polygon(0 2%, 100% 0, 100% 97%, 0 100%);
          clip-path: polygon(0 2%, 100% 0, 100% 97%, 0 100%);
}

.section--angle-down {
  -webkit-clip-path: polygon(0 0, 100% 2%, 100% 100%, 0 97%);
          clip-path: polygon(0 0, 100% 2%, 100% 100%, 0 97%);
}

@media (min-width: 1001px) {
  .section--angle-up {
    -webkit-clip-path: polygon(0 5%, 100% 0, 100% 95%, 0 100%);
            clip-path: polygon(0 5%, 100% 0, 100% 95%, 0 100%);
  }
  .section--angle-down {
    -webkit-clip-path: polygon(0 0, 100% 5%, 100% 100%, 0 95%);
            clip-path: polygon(0 0, 100% 5%, 100% 100%, 0 95%);
  }
}

/* Iconography */
.icon {
  margin: 1em auto;
  width: 6em;
}

/* cards */
.card {
  background: var(--text-light);
  border-radius: 15px;
  border: 2px solid var(--text-light); 
  color: var(--text-dark);
  height: 93%;
  margin-bottom: 2rem;
  max-height: 430px;
  overflow: hidden;
  transition: all .2s;
}

.home .card {
  max-height: 675px;
}

.card.scale-up:hover {
  transform: scale(1.1);
}

.card__img, 
.card__logo {
  background-repeat: no-repeat;
  background-size: 100%;
  height: 0;
  padding-top: 90%;
  width: 100%;
}

.card__logo {
  background-position: center center;
  background-size: contain;
  margin: 1em;
  padding-top: 40%;
  width: auto;
}

.card__logo h3 {
  left: -9999999px;
  position: absolute;
  top: -9999999px;
}

.card h4 {
  margin: 1em 1em 0;
}

.card p {
  margin: 0 1em 1em;
}

.card .small {
  font-style: italic;
}

/* contact */
.contact a {
  display: inline-block;
  margin-right: 1em;
}

.contact a:last-child {
  margin-right: 0;
}

@media (max-width: 600px) {
  .contact a:nth-child(even) {
    margin-right: 0;
  }
}

/* videos */
.video {
  height: 0;
  margin-bottom: 2em;
  padding-bottom: 56.75%;
  position: relative;
  width: 100%;
}

iframe {
  height: 100%;
  position: absolute;
  width: 100%;
}

/* case studies */
.case-study header {
  box-sizing: border-box;
  position: absolute;
  width: 100%;
}

.case-study header a {
  color: var(--text-light);
}

.hero {
  background: center center no-repeat;
  background-size: cover; 
  -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 90%);
          clip-path: polygon(0 0, 100% 0, 100% 100%, 0 90%);
  color: var(--text-light);
  overflow: hidden;
  padding-top: 3em; 
}

.hero h1 {
  margin: 0 auto .5em;
  width: 150px;
}

.hero .horizontal {
  width: 200px;
}

@media (min-width: 601px) {
  .hero h1 {
    margin-bottom: 1em;
    width: 200px;
  }

  .hero .horizontal {
    width: 300px;
  }
}

.hero__feature {
  margin-bottom: -5em;
  overflow: hidden;
  position: relative;
}

@media (max-width: 600px) {
  .hero__feature {
    height: 15em;
  }
}

@media (min-width: 601px) and (max-width: 1000px) {
  .hero__feature {
    margin-top: 3em;
    min-width: 0;
    width: 45%;
  }
}

@media (max-width: 1000px) {
  .hero .col-1 {
    display: none;
  }
}

.hero__feature div {
  border-radius: .5em; 
  bottom: -.5em;
  box-shadow: 0 0 10px rgba(0,0,0,.25);
  height: calc(100% + .5em); 
  overflow: hidden; 
  position: absolute;
}

.intro__screenshots {
  margin-bottom: 1em;
  position: relative;
}

.intro__screenshots div {
  max-height: 375px; 
  overflow: hidden; 
  position: absolute; 
  top: -9em;
  width: 60%; 
}

.intro__screenshots div:last-child {
  box-shadow: 0 0 10px rgba(0,0,0,.15); 
  right: 0;
  top: 0;
}

@media (max-width: 600px) {
  .intro .col-1 {
    display: none;
  }

  .intro__screenshots {
    height: 20em;
  }

  .intro__screenshots div {
    max-height: 325px;
    top: -5em;
  }

  .intro__screenshots div:last-child {
    max-height: 275px;
    top: 0;
  }
}

@media (min-width: 601px) and (max-width: 1000px) {
  .intro .col-1 {
    min-width: 2%;
    padding: 0;
  }

  .intro .col-6 {
    min-width: 48%;
  }
}

/* resume */
.job-listing {
  border-bottom: 1px solid rgba(0,0,0,.2);
  margin-bottom: 2em;
}

.job-listing:last-of-type {
  border: 0;
  margin-bottom: 0;
}

.job-listing__position { 
  padding-bottom: 1em;
}

.job-listing__position h4 {
  margin-bottom: 0;
}

.job-listing__position p:first-of-type {
  margin-bottom: 0;
}

.job-listing__position .small {
  display: inline-block;
  margin: 0;
}

.job-listing__position p:nth-last-of-type(2) {
  font-style: italic;
}

.job-listing__position .small:nth-child(3):after {
  content: "●";
  font-size: .875em;
  font-style: normal;
  margin: 0 .2em 0 .5em;
  opacity: .25;
}

.job-listing__responsibilities {
  padding-left: 2.5em;
}

@media (min-width: 1000px) {
  .job-listing {
    border: 0;
  }

  .job-listing__position {
    border-bottom: 0;
    border-right: 1px solid rgba(0,0,0,.2); 
    padding: 0 2.5em 0 0;
    text-align: right;
  }

  .job-listing__position p {
    display: block;
  }

  .job-listing__position .small:nth-child(3):after {
    content: '';
    margin: 0;
  }
}

.separator {
  margin: 0 .25em; 
  opacity: .25;
}

/* User flows */
.arrow {
  height: 2em;
}

@media (max-width: 600px) {
  .flow {
    flex: 100%;
    text-align: center;
  }

  .arrow {
    margin-bottom: 1.2em;
    transform: rotate(90deg);
  }
}

@media (min-width: 601px) {
  .arrow {
    position: absolute;
    top: calc(50% - 1em);
    left: calc(100% - .3em);
  }
}

@media print {
  .print-only {
    display: inherit;
  }

  body {
    font-family: Helvetica, san-serif;
    font-size: 80%;
    --text-light: #545454;
  }

  header, 
  footer, 
  h1, 
  .icon {
    display: none;
  }

  section {
    padding: 1em;
  }

  .col-4 {
    flex: 4 0 0;
    min-width: calc(100%/12 * 4)
  }

  .section--angle-down, 
  .section--angle-up {
    background: none;
    -webkit-clip-path: none;
            clip-path: none;
  }

  .resume__contact {
    border-bottom: 1px solid var(--border);
    margin-bottom: 2em;
    overflow: auto;
    padding: 0 0 2em;
  }

  .resume__contact p {
    margin-bottom: 0;
  }

  .resume__contact p:nth-child(odd) {
    float: left;
    clear: left;
  }

  .resume__contact p:nth-child(even) {
    float: right;
    clear: right;
  }

  .large-intro {
    margin-left: 0;
    margin-right: 0;
    max-width: 100%;
    text-align: left;
  }

  .card {
    background: none;
    border-width: 1px;
    height: auto;
  }

  .card__logo {
    background: none !important; // override inline style
    height: auto;
    padding: 0;
  }

  .card__logo h3 {
    left: 0;
    position: relative;
    text-align: left;
    top: 0;
  }

  .card h4 {
    margin-left: 0.7em;
  }

  .card .text-center {
    text-align: left;
  }

  .section--gradient-c .col-4 {
    min-width: 100%;
  }
}

